SQLBASE Custom Control for Visual Basic
SQLBASE Visual Basic Custom Control

Description

The SQLBASE.VBX will help to access Database stored on SQLBASE servers. You can Use SQLBASE to access Local DataBases throught DBWINDOW or DBWSERV (GUPTA LOCAL
DATABASE TECHNOLOGY), or GUPTA database servers. SQLBASE.VBX will also work with ANY SQLBase Router (ORACLE, SYBASE, etc)

This BETA 1.00 version Will NOT RUN in EXEC files.

We are NOT responsible for the problems you can have for using this BETA VBX VERSION but we will help you at any time. Feel FREE to ask any question about using this Evaluation Version without any compromise.

What you need to use SQLBASE.VBX?

About SQLBASE.VBX

For MORE information Contact:

Jower G Toppin

COMPUSERVE ID: 73000,1661

INTERNET: 91-22701@usb.ve

File Name

SQLBASE.VBX

SQLBASE Custom Controls:

SQLBase.VBX consist of one (1) custom Control:

Remarks

This custom control is distributed as a sample for Visual Basic Application that need to implement e-mail capabilities.

Distribution Note  When you create and distribute applications that use the SQLBASE.VBX control you should install the file SQLBASE.VBX in the customer's Microsoft Windows \SYSTEM sub directory. The Visual Basic Setup Kit included with the Professional VB product provides tools to help you write setup programs that install you applications correctly.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line Help for documentation of the remaining properties, events, and methods.


WhatNeed to use SQLBASE
What you need to use SQLBASE.VBX?

You will need to have installed ANY version of SQLBase Client workstation.

If you have SQLWindows installed in your workstation, you will also access any

Local Database throught DBWINDOW or DBWSERV (GUPTA Local Database managers)


SQLBASE Custom Control Class
 The SQLBase Custom Control Class

The SQLBASE custom object open one (1) cursor to the request Database on any SQLBASE DBM.

Properties

About

Action

ColType

Connect

DataBase

DataBase_Type

GetColumn

l_SetColumn

NumCols

nRows

nPos

Password

SQLString

sz_SetColumn

TransactionType

User


Property About

This Property will Inform you about the original programmer of SQLBASE.VBX

The Original Programmer of SQLBASE.VBX con be reached at:

Jower G. Toppin

Compuserve: 73000,1661

INTERNET: 91-22701@usb.ve

Data Type

Long


Property Action

This Property sets a new Action

Usage

[form.]SQLBase.Action[ = NewAction &)

Settings

The Action property settings are:

Setting	Decription

ACTION_MOVENEXT	1. Fetch Next Row in the Result Set.

ACTION_MOVEPREVIOUS	2. Fetch Previous Row in the Result Set

ACTION_MOVEFIRST	3. Fetch First Row in the result set

ACTION_MOVELAST	4. Fetch Last Row in the result set

ACTION_REFRESH	5. Refresh the Result Set with the SQLString.

ACTION_COMMIT	6. Commit transactions

ACTION_ROLLBACK	7. RollBack transactions

Data Type

Long


SQLBASE.VBX  About:

About

SQLBASE.VBX has been developed in Caracas Venezuela by:

Jower G. Toppin

Electronic Engineer

Compuserve Address: 73000,1661

Phone: 58-(2)-961.12.82

The original concept of SQLBASE was elaborated by Jower G. Toppin in Caracas Venezuela.

We hope you enjoy this BETA version of SQLBASE v1.00

Thanks...

Jower G. Toppin

73000,1661

INTERNET: 91-22701@usb.ve


Property DataBase_Type

This Property sets and returns the current session mode

Usage

[form.]SQLBase.DataBase_Type[ = DataBaseType &)

SQL_DataBaseType&=[form.]SQLBase.DataBase_Type

Settings

The DataBase_Type property settings are:

Setting	Decription

0	SQLBase Server.

1	ODBC Server (NOT AVAILABLE IN BETA VERSION)

Remarks

You have to select SQLBase Server to access ANY GUPTA Database Server.

Data Type

Long


Property User

This Property sets and returns the current User Name of SQLBASE

Usage

[form.]SQLBase.User[ = User $)

SQL_User$=[form.]SQLBase.User

Remarks

The User Name must be a valid name available in the current Database.

Data Type

String


Property Password

This Property sets and returns the current Password.

Usage

[form.]SQLBase.Password[ = Password $)

SQL_Password$=[form.]SQLBase.Password

Remarks

This is the password used by the user to access the GUPTA Database.

Data Type

String


Property DataBase

This Property sets and returns the current Database NAME.

Usage

[form.]SQLBase.DataBase[ = DataBaseName $)

SQL_DataBaseName$=[form.]SQLBase.DataBase

Remarks

This is the current Database NAME in the SQLBASE Server.

Data Type

String


Property SQLString

This Property sets and returns the current SQL Statement

Usage

[form.]SQLBase.SQLString[ = SQLStatement $)

SQL_CurrentStatement$=[form.]SQLBase.SQLString

Remarks

You can Use ANY sql valid statement:

- SELECT

- UPDATE

- DELETE

- INSERT

- COMMIT, etc

Examples:

1. Select * from systables

2. Commit

3. Update systables set creator='CREATORNAME'

Data Type

String


Property Connect

This Property Connect & Disconnect the SQBASE.VBX from the SQLBASE Server

Usage

[form.]SQLBase.Connect[ = Action &)

SQL_Action&=[form.]SQLBase.Connect

Settings

The Connect property settings are:

Setting	Decription

0	Disconnect from SQLBase.

1	Connect to you SQLBASE server

Remarks

You have to connect to SQLBase Server to access any GUPTA Database.

Data Type

Long


Property TransactionType

This Property returns last transaction type

Usage

SQL_LastTransactionType&=[form.]SQLBase.TransactionType

Returns

The transactionType property returns are:

Setting	Decription

1	SELECT

2	INSERT

3	CREATE TABLE

4	UPDATE

5	DELETE

6	CREATE INDEX

7	DROP INDEX

8	DROP TABLE

9	COMMIT

10	ROLLBACK

11	Add Column

12	Drop Column

13	Rename Table

14	Rename Column

15	Modify Column

16	GRANT privilege on table

17	GRANT DBA

18	GRANT CONNECT

19	GRANT RESOURCE

20	REVOKE privilege on table

21	REVOKE DBA

22	REVOKE CONNECT

23	REVOKE RESOURCE

24	COMMENT ON

25	Wait

26	Post

27	CREATE SYNONYM

28	DROP SYNONYM

29	CREATE VIEW

30	DROP VIEW

31	Row Count

32	ALTER PASSWORD

33	LABEL ON

34	Chained command

35	Repair table

36	SAVEPOINT

37	ROLLBACK to savepoint

38	UPDATE STATISTICS

39	CHECK DATABASE

Remarks

You have to connect to SQLBase Server to access any GUPTA Database.

Data Type

Long


Property ColType

This Property returns the Type of the current Column

Usage

SQL_ColumnType&=[form.]SQLBase.ColType

Returns

The ColType property returns are:

Setting	Decription

1	Character

2	Numeric

3	Date-time

4	Long

5	Date (Only)

6	Time (Only)

Remarks

You have to connect to SQLBase Server to access any GUPTA Database.

Data Type

Long


Property NumCols

This Property returns the number of columns in the current result set

Usage

SQL_NumCols&=[form.]SQLBase.NumCols

Data Type

Long


Property nRows

This Property returns the number of rows in the current result set

Usage

SQL_NumRows&=[form.]SQLBase.nRows

Data Type

Long


Property nPos

This Property sets and returns the number of the current row in the result set

Usage

[form.]SQLBase.nPos[ = NewRowPosition &)

SQL_CurrentRow&=[form.]SQLBase.nPos

Data Type

Long


Property l_SetColumn

This Property sets and returns the number of the current column

Usage

[form.]SQLBase.l_SetColumn[ = ColumnNumber &)

SQL_CurrentColumn&=[form.]SQLBase.l_SetColumn

Remarks

You have to set this property to access any information on the indicated column, You can "fetch the column" by setting this property OR the sz_SetColumn("Set the column by the LABEL Name).

Data Type

Long


Property sz_SetColumn

This Property returns the current column label NAME. You can also use this property to set the current column by the LABEL name.

Usage

[form.]SQLBase.sz_SetColumn[ = ColumnLabelName$)

SQL_CurrentColumnLabelName$=[form.]SQLBase.sz_SetColumn

Remarks

When you SET this property, SQLBASE.VBX will fetch the column by the Label indicated. Setting this property Will not change the COLUMN NAME!.

Data Type

String


Property GetColumn

This Property returns the information on the current row & column.

Usage

SQL_DataBaseINFORMATION$=[form.]SQLBase.GetColumn

Data Type

String